[workspace]
members = [
    "cbd-core",
    "cbd-storage", 
    "cbd-vector",
    "cbd-cluster",
    "cbd-security",
    "cbd-server",
    "cbd-tests",
    "rust"
]
resolver = "2"

[workspace.dependencies]
# Core dependencies
tokio = { version = "1.0", features = ["full"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
uuid = { version = "1.0", features = ["v4", "serde"] }
anyhow = "1.0"
thiserror = "1.0"
tracing = "0.1"
tracing-subscriber = "0.3"
async-trait = "0.1"

# Database and storage
rocksdb = "0.21"
faiss = "0.13"

# Networking and protocols
tonic = "0.11"
prost = "0.12"
tower = "0.4"
hyper = "1.0"

# Security
ring = "0.17"
rustls = "0.22"
jsonwebtoken = "9.0"
reqwest = { version = "0.11", features = ["json"] }

# Configuration
config = "0.14"
clap = { version = "4.0", features = ["derive"] }

# Time
chrono = { version = "0.4", features = ["serde"] }

[profile.release]
lto = true
codegen-units = 1
panic = "abort"
opt-level = 3

[profile.dev]
debug = true
opt-level = 0

[profile.bench]
debug = true
